Package org.wso2.carbon.task.ui.internal

## Class TaskManagementClient

- java.lang.Object
- - org.wso2.carbon.task.ui.internal.TaskManagementClient

-     public class TaskManagementClient
      extends Object

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ResponseInformation` | `addTaskDescription​(org.apache.synapse.task.TaskDescription taskDescription)` |
    `ResponseInformation` | `deleteTaskDescription​(String name, String group)` |
    `ResponseInformation` | `editTaskDescription​(org.apache.synapse.task.TaskDescription taskDescription)` |
    `ResponseInformation` | `getAllJobGroups()` |
    `org.wso2.carbon.task.stub.types.carbon.TaskData[]` | `getAllTaskData()` |
    `List<org.apache.synapse.task.TaskDescription>` | `getAllTaskDescriptions()` |
    `static TaskManagementClient` | `getInstance​(javax.servlet.ServletConfig config, javax.servlet.http.HttpSession session)` |
    `org.apache.synapse.task.TaskDescription` | `getTaskDescription​(String name, String group)` |
    `boolean` | `isContains​(String name, String group)` |
    `ResponseInformation` | `loadTaskProperties​(String className, String group)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getInstance

          public static TaskManagementClient getInstance​(javax.servlet.ServletConfig config,
                                                         javax.servlet.http.HttpSession session)
                                                  throws org.wso2.carbon.task.stub.TaskManagementException,
                                                         org.apache.axis2.AxisFault

      Throws:
        `org.wso2.carbon.task.stub.TaskManagementException`
        `org.apache.axis2.AxisFault`

    - #### addTaskDescription

          public ResponseInformation addTaskDescription​(org.apache.synapse.task.TaskDescription taskDescription)

    - #### deleteTaskDescription

          public ResponseInformation deleteTaskDescription​(String name,
                                                           String group)

    - #### editTaskDescription

          public ResponseInformation editTaskDescription​(org.apache.synapse.task.TaskDescription taskDescription)

    - #### getAllTaskDescriptions

          public List<org.apache.synapse.task.TaskDescription> getAllTaskDescriptions()
                                                                               throws Exception

      Throws:
        `Exception`

    - #### getAllTaskData

          public org.wso2.carbon.task.stub.types.carbon.TaskData[] getAllTaskData()
                                                                           throws Exception

      Throws:
        `Exception`

    - #### getTaskDescription

          public org.apache.synapse.task.TaskDescription getTaskDescription​(String name,
                                                                            String group)
                                                                     throws Exception

      Throws:
        `Exception`

    - #### isContains

          public boolean isContains​(String name,
                                    String group)
                             throws Exception

      Throws:
        `Exception`

    - #### loadTaskProperties

          public ResponseInformation loadTaskProperties​(String className,
                                                        String group)

    - #### getAllJobGroups

          public ResponseInformation getAllJobGroups()